CVE-2018-11506

NameCVE-2018-11506
DescriptionThe sr_do_ioctl function in drivers/scsi/sr_ioctl.c in the Linux kernel through 4.16.12 allows local users to cause a denial of service (stack-based buffer overflow) or possibly have unspecified other impact because sense buffers have different sizes at the CDROM layer and the SCSI layer, as demonstrated by a CDROMREADMODE2 ioctl call.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
linux (PTS)jessie (security), jessie3.16.56-1+deb8u1vulnerable
stretch4.9.82-1+deb9u3vulnerable
stretch (security)4.9.88-1+deb9u1vulnerable
buster4.16.12-1vulnerable
sid4.16.16-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
linuxsource(unstable)4.16.16-1

Notes

Fixed by: https://git.kernel.org/linus/f7068114d45ec55996b9040e98111afa56e010fe

Search for package or bug name: Reporting problems